be.fgov.ehealth.samcivics.type.v2

## Class ReimbursementType

- java.lang.Object
- - be.fgov.ehealth.samcivics.type.v2.BaseType
  - - be.fgov.ehealth.samcivics.type.v2.ReimbursementType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ReimbursementAndChildrenType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:08:17+01:00",
                 comments="JAXB RI v2.2.11")
      public class ReimbursementType
      extends BaseType
      implements Serializable

  Java class for ReimbursementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReimbursementType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
             <sequence>
               <element name="DeliveryEnvironment" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ReferenceBaseInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="PackageAgreement" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReimbursementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
    `String` | `getPackageAgreement()` Gets the value of the packageAgreement property.
    `Boolean` | `isReferenceBaseInd()` Gets the value of the referenceBaseInd property.
    `void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
    `void` | `setPackageAgreement(String value)` Sets the value of the packageAgreement property.
    `void` | `setReferenceBaseInd(Boolean value)` Sets the value of the referenceBaseInd property.

    - ### Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType

      `getEndDate, getStartDate, setEndDate, setStartDate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReimbursementType

          public ReimbursementType()

  - ### Method Detail

    - #### getDeliveryEnvironment

          public String getDeliveryEnvironment()

      Gets the value of the deliveryEnvironment property.
      Returns:
        possible object is `String`

    - #### setDeliveryEnvironment

          public void setDeliveryEnvironment(String value)

      Sets the value of the deliveryEnvironment property.
      Parameters:
        `value` - allowed object is `String`

    - #### isReferenceBaseInd

          public Boolean isReferenceBaseInd()

      Gets the value of the referenceBaseInd property.
      Returns:
        possible object is `Boolean`

    - #### setReferenceBaseInd

          public void setReferenceBaseInd(Boolean value)

      Sets the value of the referenceBaseInd property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getPackageAgreement

          public String getPackageAgreement()

      Gets the value of the packageAgreement property.
      Returns:
        possible object is `String`

    - #### setPackageAgreement

          public void setPackageAgreement(String value)

      Sets the value of the packageAgreement property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.